<?php

// Make sure we don't expose any info if called directly
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Front CSS & JS
 */
function xtcore_frontendEnqueue(){
	if ( isset( $_GET['page'] ) && ( $_GET['page'] == sanitize_title(XXXTHEMES_NAME) . '_panel' || $_GET['page'] == sanitize_title(XXXTHEMES_NAME) . '_dashboard' ) ) {
	wp_enqueue_style( 'xtcore-style', plugins_url( '/assets/css/style.css', __FILE__ ), array(), XXXTHEMES_VERSION);
    wp_enqueue_script( 'xtcore-script', plugins_url( '/assets/js/script.js', __FILE__ ), array( 'jquery' ), XXXTHEMES_VERSION, true);

	wp_localize_script( 
		'xtcore-script', 
		'ks_L10n', 
		array( 
			'ajax_url' => admin_url('admin-ajax.php'),
			'activating_license' => esc_attr('Activating license..', 'xtcore'),
			'activation_successfull' => esc_attr('Activation Successfull', 'xtcore'),
			'key_required' => esc_attr('License key is required.', 'xtcore'),
			'connecting' => esc_attr('Connecting...', 'xtcore'),
			'connect_now' => esc_attr('Connect Now', 'xtcore'),
			'installing' => esc_attr('Installing...', 'xtcore'),
			'install_now' => esc_attr('Install Now', 'xtcore'),
			'activating' => esc_attr('Activating...', 'xtcore'),
			'activate_now' => esc_attr('Activate', 'xtcore'),
			'failed_message' => esc_attr('Theme Installation failed.', 'xtcore'),
			) 
		);
	}
}
add_action( 'admin_enqueue_scripts', 'xtcore_frontendEnqueue');