/* 
	Voipir Main JS
	Version: 1.0
*/

jQuery( document ).ready(function( $ ) {

	setTimeout(function(){ 
		$(".empty-license-tab").fadeOut('fast');
	}, 250);

    /*
     * Modal Loader Icons
     */
    function xtcore_modal_process( is, id ) {
    	
    	var inner = $(id);

    	if(!is) {
    		$(inner).removeClass('process').removeClass('noselect');
    		//$(''+inner+' input').prop( "disabled", false ); //Disable
    	} else {
        	$(inner).addClass('process').addClass('noselect');
    		//$(''+inner+' input').prop( "disabled", true ); //Disable		
    	}
    }

	/*
	 * LOGIN
	*/
    var mdformRequest = false;
    $('.plugin_activation_submit').click(function(e) {
    	e.preventDefault();
  		
  		var el = $(this);
  		var key = $('#plugin_activation_license_key');
  		var nonce = $('#xtcore_license_form_action_nonce');
    	var success = key.val();
    	var ss = false;
	
    	if( success ) {
    		if(!mdformRequest) {
    		mdformRequest = true;
    		xtcore_modal_process(true, el);
    		$("#plugin-popup").fadeIn('fast');
    		$(".modal-inner-con").html('<div class="title">'+ ks_L10n.activating_license +'</div><div class="icon-area"><span class="dashicons dashicons-update spin"></span></div>');


			var data = {
				action : "xtcore_license_form_action",
				license_key: key.val(),
				nonce: nonce.val(),
			};

			$.ajax({
				type: "post",
				url: ks_L10n.ajax_url,
				data: data,
					success: function(r){
						if( r == '40' ) {
							setTimeout(function(){ 
				    			$("#plugin-popup").fadeIn('fast');
				    			$(".modal-inner-con").html('<div class="title">'+ ks_L10n.activation_successfull +'</div><div class="icon-area"><span class="dashicons dashicons-yes-alt"></span></div>');
							}, 500);

							setTimeout(function(){ 
				    			location.reload();
				    		}, 1000);
						} else {
							setTimeout(function(){ 
				    			$("#plugin-popup").fadeIn('fast');
				    			$(".modal-inner-con").html('<div class="title">Error</div><div class="message error">'+ r +'</div>');
							}, 500);
						}
					},
					complete: function() {
						if( ! ss ) {
							mdformRequest = false;
							xtcore_modal_process( false, el );
						}
					}
				});
			}
    	} else {
    		$("#plugin-popup").fadeIn('fast');
    		$(".modal-inner-con").html('<div class="title">Error</div><div class="message error">'+ ks_L10n.key_required +'</div>');
    	}

    });


	$(document).on('click', '.modal-close, .modal-bg', function(){
		$('#plugin-popup').hide();
	});


	$(document).on('click', '.connect-next, .connect-cancel', function(){
		var connect_item = $(this).parent().parent();
		connect_item.toggleClass('active');
		connect_item.hide();
		connect_item.fadeIn();
		$('.connect-step-1', connect_item).toggleClass('hide');
		$('.connect-step-2', connect_item).toggleClass('show');
	});

	$(document).on('click', '.connect-now', function(){

		function connecting_default($item) {
			$item.hide();
			$item.find('.dashicons').removeClass('spin');
			$item.find('.text').text(ks_L10n.connect_now);
			$item.fadeIn();
		}

		function connecting_effect($item) {
			$item.hide();
			$item.find('.dashicons').addClass('spin');
			$item.find('.text').text(ks_L10n.connecting);
			$item.fadeIn();
		}

		var el = $(this);
		var el_parent = el.parent().parent();

		connecting_effect(el);
		xtcore_modal_process(true, el_parent);
		var data = {
			action : "xtcore_connect_theme_action",
			theme_name: el_parent.parent().find('.title').text(),
			nonce: $('#xtcore_connect_theme_action_nonce').val(),
		};

		$.ajax({
			type: "post",
			url: ks_L10n.ajax_url,
			data: data,
				success: function(r){
					if( r == '40' ) {
						location.reload();
					} else {
						setTimeout(function(){
							connecting_default(el);
							xtcore_modal_process( false, el_parent );

			    			$("#plugin-popup").fadeIn('fast');
			    			$(".modal-inner-con").html('<div class="title">Error</div><div class="message error">'+ r +'</div>');
						}, 500);
					}
				}
			});

	});

	$(document).on('click', '.install-item', function(){

		function connecting_default($item) {
			$item.hide();
			$item.find('.dashicons').removeClass('dashicons-admin-generic').addClass('dashicons-download').removeClass('spin');
			$item.find('.text').text(ks_L10n.install_now);
			$item.fadeIn();
		}

		function connecting_effect($item) {
			$item.hide();
			$item.find('.dashicons').removeClass('dashicons-download').addClass('dashicons-admin-generic').addClass('spin');
			$item.find('.text').text(ks_L10n.installing);
			$item.fadeIn();
		}

		var el = $(this);
		var el_parent = el.parent().parent();
		var failed_message = ks_L10n.failed_message;

		connecting_effect(el);
		xtcore_modal_process(true, el_parent);

		var data = {
			action : "xtcore_install_product_action",
			product: el.attr('data-product'),
			method: el.attr('data-method'),
			type: el.attr('data-type'),
			nonce: $('#xtcore_connect_theme_action_nonce').val(),
		};

		$.ajax({
			type: "post",
			url: ks_L10n.ajax_url,
			data: data,
				success: function(r){
					if (r === true || r == '<div class="wrap"><h1></h1></div>') {
			    		location.reload();
					} else {
						setTimeout(function(){
							connecting_default(el);
							xtcore_modal_process( false, el_parent );

							if( ! r ) {
								failed_message = r;
							}
							
			    			$("#plugin-popup").fadeIn('fast');
			    			$(".modal-inner-con").html('<div class="title">Error</div><div class="message error">'+ failed_message +'</div>');
						}, 500);
					}
				}
			});

	});


	$(document).on('click', '.activated-item', function(){

		function connecting_default($item) {
			$item.hide();
			$item.find('.dashicons').removeClass('spin');
			$item.find('.text').text(ks_L10n.activate_now);
			$item.fadeIn();
		}

		function connecting_effect($item) {
			$item.hide();
			$item.find('.dashicons').addClass('spin');
			$item.find('.text').text(ks_L10n.activating);
			$item.fadeIn();
		}

		var el = $(this);
		var el_parent = el.parent().parent();

		connecting_effect(el);
		xtcore_modal_process(true, el_parent);

		var data = {
			action : "xtcore_toggle_theme_action",
			product: el.attr('data-product'),
			type: el.attr('data-type'),
			nonce: $('#xtcore_connect_theme_action_nonce').val(),
		};

		$.ajax({
			type: "post",
			url: ks_L10n.ajax_url,
			data: data,
				success: function(r){

					if (r == 'activated') {
			    		location.reload();
					} else {
						setTimeout(function(){
							connecting_default(el);
							xtcore_modal_process( false, el_parent );
						}, 500);
					}
				}
			});
	});


	$(document).on('click', '.update-xtcore', function(){



		var el = $(this);
		var el_parent = el.parent().parent();
		var failed_message = ks_L10n.failed_message;

		xtcore_modal_process(true, el_parent);

		var data = {
			action : "xtcore_update_core_action",
			nonce: $('#xtcore_connect_theme_action_nonce').val(),
		};

		$.ajax({
			type: "post",
			url: ks_L10n.ajax_url,
			data: data,
				success: function(r){
					if (r === true || r == '<div class="wrap"><h1></h1></div>') {
			    		location.reload();
					} else {
						setTimeout(function(){
							connecting_default(el);
							xtcore_modal_process( false, el_parent );

							if( ! r ) {
								failed_message = r;
							}
							
			    			$("#plugin-popup").fadeIn('fast');
			    			$(".modal-inner-con").html('<div class="title">Error</div><div class="message error">'+ failed_message +'</div>');
						}, 500);
					}
				}
			});

	});
});